<?php
/**
 * Date: 24.10.16
 * Time: 10:39
 */
/** @var \LabBase\Model\Brand[] $brands */
$brandCount = 0;
?>
<?php if(!$page): ?>
<link href="/css/mybrands.css" rel="stylesheet">
<div class="mybrands">
    <div class="list">
<?php endif; ?>
        <?php foreach ($brands as $brand): $brandCount++ ?>

            <div class="item" data-updated="<?= $brand->post->dateParsed ?>">
                <?php $this->productHelper()->jsonShortData($brand->post) ?>
                <div class="landing image-frame cover-image">
                    <img src="<?= $brand->bannerUrl ?>">
                </div>
                <div class="content">
                    <div class="title" style="text-align: center">
                        <div class="avatar-div">
                            <?= $this->imageLinker()->getBrandAvatarHTML($brand); ?>
                        </div>
                        <span ><?= $brand->name ?> <i data-brand-id="<?= $brand->id ?>" class="love-brand-btn icon <?= ( ($brand->brandRelation->relationType == 1) ? 'love' : 'connected' ) ?>"><div class="red-dot hidden"></div></i></span>

                    </div>
                    <?php
                    $segment = $brand->post->getPostSegment();
                    $segParam = $brand->post->getPostSegmentParam();
                    ?>
                    <div class="brand-post">
                        <div>
                            <a href="javascript:;"><span data-brand-url="<?= $this->url('brand-json', ['url' => $brand->url, 'segmentOrId' => 'home']) ?>" data-post-id="<?= $brand->post->id ?>" class="post-title"><?php echo $brand->post->postTitle; ?></span></a>
                            <span class="in">•&nbsp;&nbsp;In&nbsp;&nbsp;•</span>
                            <a data-target-segment="<?= $segment ?>" <?= $segParam ? "data-segment-param=\"$segParam\" " : '' ?>href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => $segment, 'param1' => $segParam]) ?>"><span class="category"><?= $brand->post->getPostTypeString() ?></span></a>
                        </div>
                        <div class="post-content">
                            <p class="actual-post-content"><?php echo $brand->post->shortContent; ?></p>
                            <!--<span class="post-read-more hide-by-default"></span>-->
                        </div>
                    </div>
                    <div class="buttons">
                        <a class="love_icon" href="javascript:void(0);" data-loved="<?php echo $brand->post->loveOrNot; ?>"
                           id="post_love_<?php echo $brand->post->id; ?>"
                           onclick="postButton('love', <?php echo $brand->post->id; ?>); return false;">
                            <i class="fa fa-heart <?= ( $brand->post->loveCnt ? 'fill-heart' : '' ) ?>" aria-hidden="true"></i>
                            <?php if($brand->post->loveCnt): ?>
                                <span class="brackets">(<?= $brand->post->loveCnt ?>)</span>
                            <?php endif; ?>
                        </a>
                        <?php /* ?><a href="javascript:void(0);" onclick="postButton('comment', <?php echo $post->id; ?>); return false;"><?php */ ?>
                        <!--<a href="#" onclick="$('textarea.comment-content',$(this).closest('.post-bottom')).click(); return false;">-->
                        <a class="comment_icon" href="#" onclick="commentsButtonClicked(this); return false;">
                            <span class="glyphicon glyphicon-comment" aria-hidden="true"></span>
                            <?php if (isset($brand->post->commentsCnt) && $brand->post->commentsCnt > 0) { ?>
                                <span class="brackets">(<?php echo $brand->post->commentsCnt ?>)</span>
                            <?php } ?>
                        </a>
                        <div class="sharing_content">
                            <div class="social_sharing">
                                <ul>
                                    <li><a href="javascript:void(0);"
                                           onclick="javascript:socialShare('fb', '<?php echo $postURL; ?>', '<?php echo $post->postTitle; ?>', '', '', 520, 350);"><img
                                                src="/images/social_icon/Facebook.png"/></a></li>
                                    <li><a href="javascript:void(0);"
                                           onclick="javascript:socialShare('twitter','<?php echo $postURL; ?>', '<?php echo $post->postTitle; ?>', '', '', 520, 350);"><img
                                                src="/images/social_icon/Twitter.png"/></a></li>
                                    <li>
                                        <a href="mailto:?subject=Share with your friends&body=<?php echo $postURL; ?>"><img
                                                src="/images/social_icon/Email.png"/></a></li>
                                </ul>
                            </div>
                            <a href="javascript:void(0);">
                                <span class="downspan">Share</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>

        <?php endforeach; ?>
        <?php for($i = 0; $i < 6 - $brandCount; $i++): ?>
            <div class="item blank" >
                <div class="landing image-frame cover-image">

                </div>
                <div class="content">
                    <div class="title" style="text-align: center;min-height: 40%;display: block;position: relative;">
                        <div class="avatar-div">
                            <div class="avatar page-avatar image-avatar">
                                <img src="<?= \LabBase\View\ImageLinker::DEFAULT_BRAND_AVATAR ?>">
                            </div>
                        </div>
                        <span style="width: 30%;margin-top: 15px;" class="text"></span>

                    </div>
                    <div class="brand-post">
                        <div>
                            <span style="width: 40%" class="post-title text"></span>
                        </div>

                        <div class="post-content">
                            <span style="width: 100%;margin-bottom: 0.5rem;" class="text"></span>
                            <span style="width: 90%" class="text"></span>
                        </div>
                    </div>
                    <div class="buttons">
                        <a class="love_icon" href="javascript:void(0);">
                            <i class="fa fa-heart" aria-hidden="true"></i>
                        </a>
                        <?php /* ?><a href="javascript:void(0);" onclick="postButton('comment', <?php echo $post->id; ?>); return false;"><?php */ ?>
                        <!--<a href="#" onclick="$('textarea.comment-content',$(this).closest('.post-bottom')).click(); return false;">-->
                        <a class="comment_icon" href="#" onclick="commentsButtonClicked(this); return false;">
                            <span class="glyphicon glyphicon-comment" aria-hidden="true"></span>
                        </a>
                        <div class="sharing_content">
                            <a href="javascript:void(0);">
                                <span class="downspan">Share</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        <?php endfor; ?>
<?php if(!$page): ?>
    </div>
    <?php if(count($brands) >= 6): ?>
        <div class="load-more">
            <span>Load More <span class="arrow">></span></span>
        </div>
    <?php endif; ?>
</div>
<script type="text/javascript">
    (function(){
        var last_read_post = <?= ($last_read_post) ?>;
        document.querySelector('#menu-main').classList.add('hidden');
        document.querySelector('#menu-mybrands').classList.remove('hidden');
        function parseItem(){
            $('.item').each(function(i,e){
                var date_update = this.getAttribute('data-updated');
                if(date_update){
                    date_update = parseInt(date_update);
                    if(date_update >= last_read_post){
                        $(e).find('.red-dot').removeClass('hidden')
                    }else{
                        $(e).find('.red-dot').addClass('hidden')
                    }
                }
            });
        }
        var page = 1;
        window.onFeedJS.push(function() {
            var index = window.feed.onSegmentChanged.push(function(){
                document.querySelector('#menu-main').classList.remove('hidden');
                document.querySelector('#menu-mybrands').classList.add('hidden');
                //loadOnPage(post_id);
                delete feed.onSegmentChanged[index-1];
            });

            parseItem();
            $('.load-more').on('click', function(){
                var text = this.innerHTML;
                var self = this;
                this.innerHTML = 'Loading...';
                page++;
                feed.getSegmentContent(function(data){
                    var list = $('.list');
                    var content = data.content;
                    var childCount = list.children().length;

                    if(!content){
                        self.innerHTML = '';
                        return;
                    }

                    list.append(content);
                    if( !(list.children().length % 6) && list.children().length != childCount) {
                        self.innerHTML = text;
                    }else{
                        self.innerHTML = '';
                    }
                    parseItem();
                },'mybrands', page);
            });

            $('.brand-post .post-title').on('click', function(){
                var post_id = this.getAttribute('data-post-id');
                feed.navigateToSegmentByUrl(this.getAttribute('data-brand-url')+'#brand-post-'+post_id);
            });

            $('.love-brand-btn').on('click', function(){
                $(this).removeClass('loved').addClass('love');
                feed.sendBrandLoved(this.getAttribute('data-brand-id'), false);
                feed.navigateToSegment('mybrands');
            });

            //search
            $('.search-input input').on('keyup', function(){
                var self =  $('.load-more');
                var text =  self.innerHTML;
                feed.getSegmentContent(function(data){
                    var list = $('.list');
                    var content = data.content;
                    var childCount = list.children().length;

                    if(!content){
                        self.innerHTML = '';
                        return;
                    }

                    list.html(content);
                    if( !(list.children().length % 6) && list.children().length != childCount) {
                        self.innerHTML = text;
                    }else{
                        self.innerHTML = '';
                    }
                    parseItem();
                },'mybrands', page, this.value);
            });

            $('#menu-mybrands .dropdown-menu li a').on('click', function () {
                var filter = this.getAttribute('data-value');
                $('#menu-mybrands .dropdown button span:first').html(this.innerHTML);
                $('#menu-mybrands [data-toggle="dropdown"]').dropdown('toggle');
                feed.getSegmentContent(function(data){
                    var list = $('.list');
                    var content = data.content;
                    var childCount = list.children().length;

                    if(!content){
                        self.innerHTML = '';
                        return;
                    }

                    list.html(content);
                    if( !(list.children().length % 6) && list.children().length != childCount) {
                        self.innerHTML = text;
                    }else{
                        self.innerHTML = '';
                    }
                    parseItem();
                },'mybrands', page, 0,filter);
            })
        });

    })();
</script>
<?php
echo $this->partial('brand-post-modal');
?>
<?php endif; ?>
